SchedulerBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.SchedulerBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class SchedulerBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.SchedulerBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class SchedulerBossEJBImpl

extends java.lang.Object
implements javax.ejb.SessionBean

The BizApp's interface to the Scheduler Subsystem.

See Also:
  Serialized Form

Constructor Summary
`SchedulerBossEJBImpl()` Constructor.

Method Summary
`boolean` | `deleteJob(int sessionID, java.lang.String jobName, java.lang.String groupName)` Remove a previously-scheduled job and all of its associated triggers.
`int` | `deleteJobGroup(int sessionID, java.lang.String groupName)` Remove the given group of jobs from the scheduler.
`boolean` | `deleteSchedule(int sessionID, java.lang.String scheduleName, java.lang.String groupName)` Remove the given schedule from the scheduler.
`int` | `deleteScheduleGroup(int sessionID, java.lang.String groupName)` Remove the given group of schedules from the scheduler.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`org.quartz.utils.Key[]` | `getCurrentlyExecutingJobs(int sessionID)` Get a list of all currently-executing jobs.
`java.lang.String[]` | `getJobGroupNames(int sessionID)` Get a list of all job groups in the scheduler.
`java.lang.String[]` | `getJobNames(int sessionID, java.lang.String jobGroup)` Get a list of all jobs in a given group.
`java.lang.String[]` | `getTriggerGroupNames(int sessionID)` Get a list of all trigger groups in the scheduler.
`java.lang.String[]` | `getTriggerNames(int sessionID, java.lang.String triggerGroup)` Get a list of all triggers in a given group.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerBossEJBImpl

    public SchedulerBossEJBImpl()

  Constructor.

Method Detail

### getJobGroupNames

    public java.lang.String[] getJobGroupNames(int sessionID)
                                        throws SessionNotFoundException,
                                               SessionTimeoutException,
                                               org.quartz.SchedulerException

  Get a list of all job groups in the scheduler.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### getTriggerGroupNames

    public java.lang.String[] getTriggerGroupNames(int sessionID)
                                            throws SessionNotFoundException,
                                                   SessionTimeoutException,
                                                   org.quartz.SchedulerException

  Get a list of all trigger groups in the scheduler.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### getJobNames

    public java.lang.String[] getJobNames(int sessionID,
                                          java.lang.String jobGroup)
                                   throws SessionNotFoundException,
                                          SessionTimeoutException,
                                          org.quartz.SchedulerException

  Get a list of all jobs in a given group.

  Parameters:
    `jobGroup` - the group whose jobs should be listed
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### getTriggerNames

    public java.lang.String[] getTriggerNames(int sessionID,
                                              java.lang.String triggerGroup)
                                       throws SessionNotFoundException,
                                              SessionTimeoutException,
                                              org.quartz.SchedulerException

  Get a list of all triggers in a given group.

  Parameters:
    `triggerGroup` - the group whose triggers should be listed
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### getCurrentlyExecutingJobs

    public org.quartz.utils.Key[] getCurrentlyExecutingJobs(int sessionID)
                                                     throws SessionNotFoundException,
                                                            SessionTimeoutException,
                                                            org.quartz.SchedulerException

  Get a list of all currently-executing jobs.

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### deleteJob

    public boolean deleteJob(int sessionID,
                             java.lang.String jobName,
                             java.lang.String groupName)
                      throws SessionNotFoundException,
                             SessionTimeoutException,
                             org.quartz.SchedulerException

  Remove a previously-scheduled job and all of its associated triggers.

  Parameters:
    `jobName` - the name of the job to be removed
    `groupName` - the name of the group
  Returns:
    true if a job was removed, false otherwise
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### deleteSchedule

    public boolean deleteSchedule(int sessionID,
                                  java.lang.String scheduleName,
                                  java.lang.String groupName)
                           throws SessionNotFoundException,
                                  SessionTimeoutException,
                                  org.quartz.SchedulerException

  Remove the given schedule from the scheduler.

  Parameters:
    `scheduleName` - the name of the schedule to delete
    `groupName` - the name of the group
  Returns:
    true if a schedule was deleted, false otherwise
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### deleteScheduleGroup

    public int deleteScheduleGroup(int sessionID,
                                   java.lang.String groupName)
                            throws SessionNotFoundException,
                                   SessionTimeoutException,
                                   org.quartz.SchedulerException

  Remove the given group of schedules from the scheduler.

  Parameters:
    `groupName` - the name of the group
  Returns:
    number of schedules deleted
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### deleteJobGroup

    public int deleteJobGroup(int sessionID,
                              java.lang.String groupName)
                       throws SessionNotFoundException,
                              SessionTimeoutException,
                              org.quartz.SchedulerException

  Remove the given group of jobs from the scheduler.

  Parameters:
    `groupName` - the name of the group
  Returns:
    number of jobs deleted
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `org.quartz.SchedulerException`

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.